# ../scripts/custom/gg_knifepro_noswitch/gg_knifepro_noswitch.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# EventScripts Imports
#   ES
from es import InsertServerCommand
from es import ServerVar
#   Gamethread
from gamethread import delayed

# GunGame Imports
#   Addons
from gungame51.core.addons.shortcuts import AddonInfo

# =============================================================================
# >> ADDON REGISTRATION/INFORMATION
# =============================================================================
info = AddonInfo()
info.name = 'gg_knifepro_noswitch'
info.title = 'GG KnifePro No Switch'
info.author = 'Satoon101'
info.version = '1.0'
info.requires = ['gg_knife_pro']

# =============================================================================
# >> PUBLIC VARIABLE
# =============================================================================
ServerVar(info.name + '_version', info.version,
        info.title + ' Version').set(info.version)
ServerVar(info.name + '_version').makepublic()


# =============================================================================
# >> GAME EVENTS
# =============================================================================
def gg_knife_steal(event_var):
    '''Called when a player steals a level from another player'''

    # Force the attacker to switch back to their knife
    delayed(0.01, InsertServerCommand,
        ('es_xsexec %s use weapon_knife' % event_var['attacker']))
